Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class AgentWindowHandler

    java.lang.Object
      java.awt.event.WindowAdapter
          madkit.kernel.AgentWindowHandler

All Implemented Interfaces:
  java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.util.EventListener

Direct Known Subclasses:
  SEditAgentWindowHandler

    public class AgentWindowHandler

extends java.awt.event.WindowAdapter

Version:
  1.0
Author:
  Olivier Gutknecht, J. Ferber

Field Summary
`protected AbstractAgent` | `theAgent`
`protected AbstractMadkitBooter` | `theBooter`
`protected Kernel` | `theKernel`

Constructor Summary
`AgentWindowHandler(Kernel k, AbstractMadkitBooter b, AbstractAgent ag)`

Method Summary
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent we)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`

Methods inherited from class java.awt.event.WindowAdapter
`windowClosed, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theKernel

    protected Kernel theKernel

### theAgent

    protected AbstractAgent theAgent

### theBooter

    protected AbstractMadkitBooter theBooter

Constructor Detail

### AgentWindowHandler

    public AgentWindowHandler(Kernel k,
                              AbstractMadkitBooter b,
                              AbstractAgent ag)

Method Detail

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent we)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosing` in class `java.awt.event.WindowAdapter`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowActivated` in class `java.awt.event.WindowAdapter`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowDeactivated` in class `java.awt.event.WindowAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.